Udon is under active development. Documentation not final.
udonudon
Virtual machines

Create a virtual machine

Create a VM from a built-in template whose image is in the library, or from a library image: an ISO to install from or a raw disk image to start from. Sizes are in bytes. Requires the **admin** role.

POST
/api/vms

Authorization

udon_session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/vms" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "cpus": 0,    "memoryBytes": 0,    "diskBytes": 0  }'
{  "id": "string",  "name": "string",  "description": "string",  "backend": "apple",  "guest": {    "kind": "linux",    "template": "string",    "icon": "string"  },  "cpus": 0,  "memoryBytes": 0,  "state": "stopped",  "ip": "string",  "startedAt": "2019-08-24T14:15:22Z",  "error": "string",  "autostart": true,  "forwards": [    {      "proto": "tcp",      "hostPort": 0,      "guestPort": 0    }  ],  "usage": {    "cpu": 0,    "memoryBytes": 0  },  "diskBytes": 0,  "diskUsedBytes": 0,  "windowVisible": true,  "createdAt": "2019-08-24T14:15:22Z"}

Ask AI

Answers from Udon's documentation.

Ask how to install Udon, run containers, or share folders.